Bug 817024 - imsm: validate the number of imsm volumes per controller
imsm: validate the number of imsm volumes per controller
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 09:15 EDT by Jes Sorensen
Modified: 2012-07-11 19:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 22:48:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jes Sorensen 2012-04-27 09:15:49 EDT
Description of problem:

IMSM OROM/EFI limits number of volumes per controller. Volumes above the limit
are blocked in OROM. mdadm should follow OROM limitations in this area.
Therefore we need to count number of volumes on the devices attached to SATA
(ahci driver) or SAS (isci) controller. Adding a new volume must be blocked if
the number of volumes on devices attached to the given controller is exceeded.  

Version-Release number of selected component (if applicable):
mdadm 3.2.3

Additional info:

This feature is implemented by the series of three patches in Neil's repo:

imsm: load_super_imsm_all function refactoring
commit: 9587c3739b6d6edc7abfa4a655b9ab46926abdbf
link:
http://neil.brown.name/git?p=mdadm;a=commitdiff;h=9587c3739b6d6edc7abfa4a655b9ab46926abdbf

imsm: load_imsm_super_all supports loading metadata from the device list
commit: ec50f7b6bb3a5218b51e1a953d530ef6b446bcd4
link:
http://neil.brown.name/git?p=mdadm;a=commitdiff;h=ec50f7b6bb3a5218b51e1a953d530ef6b446bcd4

imsm: validate the number of imsm volumes per controller
commit: ca9de185a3b96720adcc5120f6a34c5f9bb98b3f
link:
http://neil.brown.name/git?p=mdadm;a=commitdiff;h=ca9de185a3b96720adcc5120f6a34c5f9bb98b3f
Comment 1 Fedora Update System 2012-05-02 06:09:22 EDT
mdadm-3.2.3-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc17
Comment 2 Fedora Update System 2012-05-02 06:15:24 EDT
mdadm-3.2.3-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc16
Comment 3 Fedora Update System 2012-05-02 06:19:13 EDT
mdadm-3.2.3-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc15
Comment 4 Fedora Update System 2012-05-02 16:34:19 EDT
Package mdadm-3.2.3-9.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.3-9.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7105/mdadm-3.2.3-9.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-10 10:48:43 EDT
mdadm-3.2.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc17
Comment 6 Fedora Update System 2012-05-10 10:51:20 EDT
mdadm-3.2.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc16
Comment 7 Fedora Update System 2012-05-10 10:54:06 EDT
mdadm-3.2.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc15
Comment 8 Fedora Update System 2012-05-15 12:36:09 EDT
mdadm-3.2.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc17
Comment 9 Fedora Update System 2012-05-15 12:42:33 EDT
mdadm-3.2.4-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc16
Comment 10 Fedora Update System 2012-05-15 12:47:15 EDT
mdadm-3.2.4-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc15
Comment 11 Fedora Update System 2012-05-21 11:08:03 EDT
mdadm-3.2.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc17
Comment 12 Fedora Update System 2012-05-21 11:14:20 EDT
mdadm-3.2.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc16
Comment 13 Fedora Update System 2012-05-21 11:19:55 EDT
mdadm-3.2.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc15
Comment 14 Fedora Update System 2012-06-06 22:48:42 EDT
mdadm-3.2.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-06-06 22:51:55 EDT
mdadm-3.2.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Lukasz Dorau 2012-06-11 06:45:10 EDT
Here is one more required patch:

imsm: display maximum volumes per controller in --detail-platform command
Signed-off-by: Marcin Labun <marcin.labun@intel.com>:

http://neil.brown.name/git?p=mdadm;a=commit;h=0e7f69a873ac7dc24f696d15b2f01d474df26395

(see bug #808438: https://bugzilla.redhat.com/show_bug.cgi?id=808438)
Comment 17 Jes Sorensen 2012-06-14 06:46:55 EDT
Lukasz,

I missed a patch in the update?

Note 0e7f69a873ac7dc24f696d15b2f01d474df26395 is included in the 3.2.5 release,
so it should be covered by the latest errata.

Cheers,
Jes
Comment 18 Lukasz Dorau 2012-06-14 07:24:42 EDT
I'm sorry, I've missed it. It is covered by the latest errata.
Thanks!

Lukasz
Comment 19 Fedora Update System 2012-06-26 03:16:13 EDT
mdadm-3.2.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-3.fc17
Comment 20 Fedora Update System 2012-07-11 19:54:04 EDT
mdadm-3.2.5-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.